#include <rtx51.h>
#include <reg51.h>
#include <stdio.h>

#define STARTUP_TASK		0

//-----------------------------------------------
//-----------------------------------------------
void int0 (void) interrupt 0
{
static unsigned int i;

i++;
}

//-----------------------------------------------
//-----------------------------------------------
void task0 (void) _task_ STARTUP_TASK
{
os_set_slice (1000);		/* Set for OSC Frequency / 10,000 */

EX0 = 1;                    /* Enable External Int 0 */
IT0 = 1;                    /* Edge-triggered */

os_enable_isr (0);          /* Enable interrupt #0 */


while (1)
  {
  os_wait (K_TMO, 100, NULL);
  }
}
//-----------------------------------------------
//-----------------------------------------------
void main (void)
{
os_start_system (STARTUP_TASK);
}

